[Lunar-commits] <lunar> Adding: `lvu missing`

Auke Kok sofar at foo-projects.org
Tue May 1 19:02:32 CEST 2012


commit 8043fa42bfe13ab348e4cd968baad5423768fea1
Author: Auke Kok <sofar at foo-projects.org>
Date:   Tue May 1 10:02:32 2012 -0700

    Adding: `lvu missing`
    
    display modules that were removed from moonbase but are still
    installed.
---
 bin/lvu |   13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/bin/lvu b/bin/lvu
index 1a5acc4..4293624 100755
--- a/bin/lvu
+++ b/bin/lvu
@@ -74,6 +74,7 @@ install     module         display an install log
 size        [module]       find and show installed size of a module
                                or ALL (slow)
 installed   [module]       display installed modules/version of module
+missing                    display installed but deleted modules from moonbase
 compile     module         display a compile log
 compiler    module         display the compiler version used
 links       module         display a list of modules that this module links to
@@ -1279,6 +1280,10 @@ main()  {
       show_module_component $1 $2
       ;;
 
+    INSTALL)
+      show_module_component $1 $22
+      ;;
+
     PRE_BUILD)
       show_module_component $1 $2
       ;;
@@ -1475,6 +1480,14 @@ main()  {
      fi
      ;;
 
+   missing)
+     for MODULE in $(list_installed) ; do
+       if ! find_section $MODULE > /dev/null ; then
+         echo "$MODULE"
+       fi
+     done
+     ;;
+
    cd)
      if [ ! -z "$2" ] ; then
        if run_details $2 ; then


More information about the Lunar-commits mailing list